Summary: 	Kstock a stock manager
Name:   	kstocks
Version: 	2.0.2
Release: 	8mdk
Source0: 	%{name}-%{version}.tar.bz2
License:  	GPL
Group: 		Graphical desktop/KDE
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Url:		http://kstocks.sourceforge.net/

%description
KStocks is an application that allows you to manage your stocks and
shares. It also provides an import-function so you can import
chart-data from YAHOO, etc. Stock deposits can be managed. You can
add stocks, remove stocks, edit stocks, etc.

%prep

%setup  -q

%build
%configure --disable-rpath \
           --disable-debug \
	   --enable-final 
%make


%install
rm -fr %buildroot

mkdir -p %buildroot/%_datadir/config/
make install DESTDIR=%buildroot 

mv %buildroot/%_docdir/HTML/en/en/ %buildroot/%_docdir/HTML/en/%name

install -d 0755 %buildroot/%_menudir/
cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}): \
command="%_bindir/kstocks" \
title="Kstocks" \
icon="finances_section.png" \
longtitle="A stock manager" \
needs="kde" \
section="Applications/Finances"
EOF

%find_lang %{name}

%clean
rm -fr %buildroot

%post
%{update_menus}
/sbin/ldconfig 

%postun
%{clean_menus} 
/sbin/ldconfig 

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL INSTALLDB.TXT 

%_bindir/*
%_menudir/*

%dir %_datadir/apps/%name/
%_datadir/apps/%name/*

%_datadir/applnk/*/%name.desktop
%_iconsdir/*/*/*/*

%dir %_docdir/HTML/en/%name/
%doc %_docdir/HTML/en/%name/*.docbook
%doc %_docdir/HTML/en/%name/common


%changelog
* Fri Feb 11 2002 David BAUDENS <baudens@mandrakesoft.com> 2.0.2-8mdk
- Rebuild against latest postgresql

* Wed Jan 23 2002 Laurent Montel <lmontel@mandrakesoft.com> 2.0.2-7mdk
- Rebuild

* Sun Jan 20 2002 Laurent Montel <lmontel@mandrakesoft.com> 2.0.2-6mdk
- Fix menu entry

* Fri Jan 04 2002 Laurent Montel <lmontel@mandrakesoft.com> 2.0.2-5mdk
- Fix spec file

* Fri Oct 26 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 2.0.2-4mdk
- Rebuild

* Fri Oct  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.2-3mdk
- Rebuild.

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.2-2mdk
- Rebuild 

* Wed Aug  1 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.2-1mdk
- First version.

